/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
    position: relative;
    top: 1px;
    display: inline-block;
    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: normal;
    line-height: 1;
    padding-left: 5px;
}

a.asc:after {
    content: "\e151";
}

a.desc:after {
    content: "\e152";
}

.sort-numerical a.asc:after {
    content: "\e153";
}

.sort-numerical a.desc:after {
    content: "\e154";
}

.sort-ordinal a.asc:after {
    content: "\e155";
}

.sort-ordinal a.desc:after {
    content: "\e156";
}

.grid-view th {
    white-space: nowrap;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

/* Font-awsome controls */
.fa-controls {
	margin-bottom: 15px;
}

.fa-controls input[type='checkbox'], .fa-controls input[type='radio'] {
	position: absolute;
	z-index: -1;
	opacity: 0;
}

.fa-controls label {
	font-weight: normal;
	height: 22px;
	line-height: 22px;
	margin: 0;
	padding-left: 27px;
	position: relative;
	cursor: pointer;
}

.fa-controls label>i.fa {
	position: absolute;
	top: 2px;
	left: 0;
}

.fa-controls label>i.fa:before {
	color: #3c8dbc;
	font-size: 22px;
	line-height: 22px;
}

.fa-controls input:focus+label>i.fa:before, .fa-controls label:hover>i.fa:before,
	.fa-controls label:active>i.fa:before, .fa-controls label.hover>i.fa:before
	{
	color: #367fa9;
}

.fa-controls input[type='checkbox']:disabled+label, .fa-controls input[type='radio']:disabled+label,
	fieldset:disabled>.fa-controls input[type='checkbox']+label, fieldset:disabled>.fa-controls input[type='radio']+label,
	fieldset:disabled>:not(legend) .fa-controls input[type='checkbox']+label,
	fieldset:disabled>:not(legend) .fa-controls input[type='radio']+label {
	cursor: not-allowed;
	opacity: 0.65;
}

.fa-controls input[type='checkbox']+label>i.fa:before {
	content: "\f096"
}

.fa-controls input[type='checkbox']:checked+label>i.fa:before {
	content: "\f046"
}

.fa-controls input[type='radio']+label>i.fa:before {
	content: "\f10c"
}

.fa-controls input[type='radio']:checked+label>i.fa:before {
	content: "\f192"
}

.input-group-addon .fa-controls {
	margin-bottom: 0;
}

.input-group-addon .fa-controls label {
	height: 18px;
	line-height: 18px;
	padding-left: 25px;
}

.input-group-addon .fa-controls label>i.fa {
	top: 0;
}

.input-group-addon .fa-controls label>i.fa:before {
	font-size: 18px;
	line-height: 18px;
}

#ui-datepicker-div {
	z-index: 9999 !important;
}

.icon-flipped {
	transform: scaleX(-1);
	-moz-transform: scaleX(-1);
	-webkit-transform: scaleX(-1);
	-ms-transform: scaleX(-1);
}
/* Widget: PAGES */
.pages-list {
	margin: 0;
	padding: 0;
	list-style: none;
	overflow: auto;
}

.pages-list .pages-list {
	padding-left: 10px;
}

.pages-list>li>div {
	border-radius: 2px;
	padding: 10px;
	background: #f4f4f4;
	margin-bottom: 2px;
	border-left: 5px solid #e6e7e8;
	color: #444;
}

.pages-list>li>div .text {
	display: inline-block;
	margin-left: 5px;
	font-weight: 600;
}

.pages-list>li>div .label {
	margin-left: 10px;
	font-size: 9px;
}

.pages-list>li>div .tools {
	display: none;
	float: right;
	color: #dd4b39;
}

.pages-list>li>div .tools>.fa, .pages-list>li>div .tools>.glyphicon,
	.pages-list>li>div .tools>.ion {
	margin-right: 5px;
	cursor: pointer;
}

.pages-list>li>div:hover .tools {
	display: inline-block;
}

.pages-list>li>div.danger {
	border-left-color: #dd4b39;
}

.pages-list>li>div.warning {
	border-left-color: #f39c12;
}

.pages-list>li>div.info {
	border-left-color: #00c0ef;
}

.pages-list>li>div.success {
	border-left-color: #00a65a;
}

.pages-list .handle {
	display: inline-block;
	cursor: move;
	margin: 0 5px;
}
.pages-collapse {
	margin: 0 5px;
}
.pages-collapse .fa {
	font-size: 16px;
	line-height: 20px;
}
.pages-list .box-tools.pull-right {
	padding: 0 0 2px 5px;
}
.pages-list .box-tools.pull-left {
	padding: 0 5px 0 0;
}
.sort-highlight {
	margin-bottom: 2px;
}

.image-box {
	width: 320px;
	max-width: 100%;
	float: left;
	position: relative;
	min-height: 1px;
	padding-right: 15px;
	padding-left: 15px;
}

.image-box img {
	width: 100%;
	height: auto;
}

.show-on-empty {
	display: none;
}
.show-on-empty:first-child:last-child {
	display: block;
}
.no-overflow {
	overflow: hidden;
}
.progress-max-wraper {
	padding: 10px 0;
	margin-bottom: 20px;
	position: relative;
}
.progress-max-wraper .progress {
	margin-bottom: 0;
}
.progress-max-stop {
    width: 0;
    position: absolute;
    height: 100%;
    top: 0;
    left: 0;
    font-size: 18px;
    -webkit-transition: left .6s ease;
    -o-transition: left .6s ease;
    transition: left .6s ease;

}
.max-stop-top {
    position: absolute;
    bottom: 24px;
    left: -5px;
}
.max-stop-bottom {
    position: absolute;
    top: 23px;
    left: -5px;
}

.ellipsis {
	max-width: 100%;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

.badge.dot {

    display: initial;
    font-size: 0;
    padding: 8px;
}


::before, ::after {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;

}

input.delete-select[type="checkbox"] {
    margin: 10px;
}
label.btn input[type="radio"], label.btn input[type="checkbox"] {
    margin-top: 0;
    vertical-align: sub;
}

.image-box .box-body {
	height: 111px;
}
.image-fixed {
	width: 100%;
    padding-top: 75%;
    position: relative;
    overflow: hidden;
}

.image-fixed img, .image-fixed canvas {
    width: 100%;
    height: 100%;
    top: 0;
    position: absolute;
    object-fit: cover;
}
.featured-tools {
	position: absolute;
	right: 15px;
	top: 15px;
}
.isDefault .featured-tools  a.set-default {
  pointer-events: none;
  cursor: default;
  text-decoration: none;
  color: #999;
}
.fa.featured-check-icon::before {
	width: 1em;
	content: "\f096";
}
.isDefault .featured-tools  a.set-default .fa.featured-check-icon::before,
.isDefaultLocale .featured-tools  a.set-default-locale .fa.featured-check-icon::before {
  content: "\f046";
}
.fa.auto-star-icon::before {
	content: "\f006";
}
.isFeatured .fa.auto-star-icon::before,
.isDefaultLocale .fa.auto-star-icon::before {
	content: "\f123";
}
.isDefault .fa.auto-star-icon::before,
.isFeatured.isDefault .fa.auto-star-icon::before,
.isDefaultLocale.isDefault .fa.auto-star-icon::before {
	content: "\f005";
}
.icon-document {
	width: 100%;
    padding-top: 50%;
    position: relative;
    background-color: #222d32;
}
.images-view .icon-document {
    padding-top: 75%;
}
.icon-document .fa {
    position: absolute;
    font-size: 75px;
    color: #b8c7ce;
    top: 20%;
    left: 50%;
    margin-left: -32px;
}
.images-view .icon-document .fa {
    top: 30%;
}

.input-xs {
    height: 20px;
    padding: 3px 10px;
    font-size: 12px;
    line-height: 1.5;
    border-radius: 3px;
}

.table.fixed tr > td .progress {
	margin-top: 0;
}

table.fixed {
	table-layout: fixed;
}

.image-box.sort-highlight {
    margin-bottom: -2px;
}

/* Thumb center */
.image-preview-sliders {
    width: auto;
    float: left;
    max-width: 100%;
    margin-right: 35px;
    margin-bottom: 50px;
    position: relative;
    clear: left;
}
.image-preview-sliders img {
    width: 100%;
    height: auto;
}
.slider-right {
    position: absolute;
    right: -30px;
    top: 0;
    bottom: 0;
    height: 100%;
}
.slider-right .slider-vertical {
    height: 100%;
}
.slider-bottom {
    position: absolute;
    bottom: -30px;
    right: 0;
    left: 0;
}
.slider-bottom .slider-horizontal {
    width: 100%;
}
.target-limit {
	overflow: hidden;
	position: absolute;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
	width: 100%;
	height: 100%;
}
.target-cross {
    position: absolute;
    height: 0;
    width: 0;
    overflow: visible;
}
.target-cross::before, .target-cross::after {
    content: " ";
    display: block;
    position: absolute;
    background-color: #dd4b39;
    border-radius: 5px;
}
.target-cross::before {
    width: 50px;
    left: -25px;
    height: 2px;
    top: -1px;
}
.target-cross::after {
    height: 50px;
    width: 2px;
    top: -25px;
    left: -1px;
}
.target-circle {
    position: absolute;
    width: 30px;
    height: 30px;
    left: -15px;
    top: -15px;
    border: 2px #dd4b39 solid;
    border-radius: 15px;
}
.modal-body > .table {
    margin-bottom: 0;
}

.box-body {
	padding: 15px;
}

.multicheckbox label {
    font-weight: normal;
    margin-bottom: 10px;
}

.multicheckbox label input[type="checkbox"] {
    vertical-align: -3px;
}
.top-right-locale {
    position: absolute;
    top: 5px;
    right: 5px;
    z-index:-1;
}
.navbar-nav > .user-menu > .dropdown-menu > li.user-header {
	height: 190px;
}

.btn-default.multiselect {
    background-color: #fff;
    border-radius: 0;
    width: 100%;
    float: none;
    display: block;
}
textarea {
	resize: vertical;
}

.styled-upload input[type=file] {
    position: absolute;
    top: 0;
    right: 0;
    margin: 0;
    height: 100%;
    width: 100%;
    opacity: 0;
    filter: alpha(opacity=0);
    font-size: 200px !important;
    direction: ltr;
    cursor: pointer;
}
.styled-upload input[type=file] + .btn-success {
	pointer-events: none;
}
.styled-upload input[type=file]:hover + .btn-success {
    color: #fff;
    background-color: #449d44;
    border-color: #398439;
}
.styled-upload input[type=file]:hover + .btn-success,
.styled-upload input[type=file]:active + .btn-success {
    background-color: #008d4c;
}
.styled-upload input[type=file]:focus + .btn-success,
.styled-upload input[type=file].focus + .btn-success {
    color: #fff;
    background-color: #449d44;
    border-color: #255625;
}
p.flip-margin {
	margin: 10px 0 0;
}
.image-box .editor-selected {
	display: none;
}
.editor-embed .wrapper {
	background-color: transparent;
}
.editor-embed .box.images-view {
	margin-bottom: 0;
	padding-bottom: 20px;
}
.editor-embed .image-box {
	width: 235px;
}
.editor-embed .image-box .box-body,
.editor-embed .image-box .box-footer,
.editor-embed .featured-control,
.editor-embed .delete-selected,
.editor-embed .select-all-wrap {
	display: none;
}
.editor-embed .image-box[selected] .editor-selected {
	display: block;
}
.editor-embed .images-view .icon-document .fa {
  top: 10%;
  font-size: 25px;
  left: 10%;
  margin: 0;
}
.editor-embed .image-box.error .box-body {
  display: block;
  position: absolute;
  top: 21%;
  left: 14%;
  width: auto;
  color: #fff;
  word-wrap: anywhere;
  padding: 0;
  right: 14%;
}
.editor-embed .image-box.error .box-body b,
.editor-embed .image-box.error .box-body span {
    display:none;
}
.upload-view .box-header {
	padding-bottom: 0;
}
.upload-view .btn {
	margin-bottom: 10px;
}
option:disabled {
  	color: #ccc;
}
.ui-autocomplete {
	max-height: 170px;
	overflow-y: auto;
	overflow-x: hidden;
}
.input-button-list {
	line-height: 0;
}
.input-button-list input[type=checkbox],
.input-button-list input[type=radio]{
	opacity: 0;
	position: absolute;
}
.input-button-list label {
	margin: 0 10px 10px 0;
}
.input-button-list.boolean label {
	margin: 0 10px 0 0;
  	max-width: calc(50% - 5px);
}
.input-button-list label .inner-label,
.input-button-list label:hover input:disabled + .inner-label {
	font-weight: normal;
	display: inline-block;
	border-radius: 3px;
	position: relative;
	padding: 7px 5px 7px;
	min-width: 80px;
	max-width: 200px;
	text-align: center;
	color: #666;
	border: 1px solid #ddd;
	background-color: #f4f4f4;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
	line-height: initial;
}
.input-button-list.boolean label .inner-label {
  	max-width: 100%;
}
.input-button-list label:hover .inner-label {
  color: #444;
  border-color: #aaa;
}
.input-button-list label input:active + .inner-label,
.input-button-list label input:focus + .inner-label {
  -webkit-box-shadow: inset 0 3px 5px rgba(0,0,0,0.25);
  -moz-box-shadow: inset 0 3px 5px rgba(0,0,0,0.25);
  box-shadow: inset 0 3px 5px rgba(0,0,0,0.25);
}
.input-button-list label input:active:disabled + .inner-label,
.input-button-list label input:focus:disabled + .inner-label {
	-webkit-box-shadow: none;
	-moz-box-shadow: none;
	box-shadow: none;
}
.input-button-list input:checked + .inner-label,
.input-button-list label:hover input:checked:disabled + .inner-label {
	background-color: #00c0ef;
	border-color: #00acd6;
	color: black;
}
.input-button-list.boolean input[value="0"]:checked + .inner-label,
.input-button-list.boolean label:hover input[value="0"]:checked:disabled + .inner-label,
.input-button-list input:checked + .inner-label.danger,
.input-button-list label:hover input:checked:disabled + .inner-label.danger {
	background-color: #dd4b39;
	border-color: #d73925;
}
.input-button-list.boolean input[value="1"]:checked + .inner-label,
.input-button-list.boolean label:hover input[value="1"]:checked:disabled + .inner-label,
.input-button-list input:checked + .inner-label.success,
.input-button-list label:hover input:checked:disabled + .inner-label.success {
	background-color: #00a65a;
	border-color: #008d4c;
}
.input-button-list input:checked + .inner-label.warning,
.input-button-list label:hover input:checked:disabled + .inner-label.warning {
	background-color: #f39c12;
  	border-color: #e08e0b;
}
.input-button-list input:disabled + .inner-label,
.input-button-list label:hover input:disabled + .inner-label {
  opacity: 0.8;
  cursor: not-allowed;
}
label[data-toggle="tooltip"]:after {
	display: inline-block;
	font: normal normal normal 14px/1 FontAwesome;
	font-size: inherit;
	text-rendering: auto;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	content: "\f05a";
	margin-left: 5px;
}
.form-control-slim {
	display: inline;
	width: 33%;
	min-width: 65px;
}
chr-counter {
	display: block;
  	background-color: #eee;
  	border: 1px solid #ccc;
  	border-top: 0 none;
 	padding: 2px 12px;
  	box-sizing: border-box;
  	font-size: 0.9em;
}
.form-control:focus + chr-counter {
	border-color: #3c8dbc;
}
.form-group.has-success chr-counter {
	border-color: #00a65a;
}
.form-group.has-error chr-counter {
	border-color: #dd4b39;
}
chr-counter chr-count::after {
  display: inline;
  font-family: FontAwesome;
  font-size: 0.85em;
  margin-left: 4px;
}
chr-counter.count-error chr-count:after {
	content: "\f06a";
	color: #dd4b39;
}
chr-counter.count-warning chr-count::after {
  content: "\f071";
  color: #f39c12;
}
.sidebar-menu {
	white-space: normal;
}